package net.idscan.android.pdf417scannerexample;

import android.view.LayoutInflater;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import net.idscan.android.pdf417scanner.PDF417ScanActivity;

/**
 * @author andrew0x1@gmail.com
 */

public class CustomScanActivity extends PDF417ScanActivity
{
	private TextView tv_scan = null;

	/*
	@Override
	protected ICameraCustomizer customizeCamera(Camera camera, int i)
	{
		//Custom variant.
		Display display_info = getWindowManager().getDefaultDisplay();
		Camera.CameraInfo camera_info = new Camera.CameraInfo();
		Camera.getCameraInfo(i, camera_info);
		return new CameraCustomizer(display_info, camera_info);
	}
	*/

	/*
	@Override
	protected int selectCamera(int i)
	{
		if(i > 2)
			return 1;
		else
			return 0;
	}
	*/

	@Override
	protected View getViewFinder(LayoutInflater layoutInflater)
	{
		View v = layoutInflater.inflate(R.layout.custom_viewfinder, null);

		final Button accept = (Button)v.findViewById(R.id.btn_accept);
		final Button clear = (Button)v.findViewById(R.id.btn_clear);
		tv_scan = (TextView)v.findViewById(R.id.tv_scanned);

		accept.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View v)
			{
				if(tv_scan != null)
					finish(tv_scan.getText().toString());
			}
		});

		clear.setOnClickListener(new View.OnClickListener()
		{
			@Override
			public void onClick(View v)
			{
				if(tv_scan != null)
					tv_scan.setText("");
			}
		});

		return v;
	}

	@Override
	protected void onData(String s)
	{
		if(tv_scan != null)
			tv_scan.setText(s);
	}
}
